#
# spec file for package vacuum-im-plugins-spellchecker
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright Andrey Karepin <egdfree@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define app_name vacuum-im
Name:           vacuum-im-plugins-spellchecker
Summary:        Vacuum-IM spellchecker plugin
License:        GPL-3.0
Group:          System/Libraries
Version:        1.1.0
Release:        8.2
%if 0%{?suse_version} < 1120
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%endif
Source:         %{name}-%{version}.tar.bz2
Patch0:         fix_cmake_rule.patch
Url:            http://www.vacuum-im.org/
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  hunspell
BuildRequires:  hunspell-devel
BuildRequires:  libqt4-devel
BuildRequires:  vacuum-im-devel

%description
Highlights words that may not be spelled correctly.
 
%prep
%setup -q -n %{name}
%patch0 -p1

%build
%{__mkdir} build
cd build
cmake .. -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCMAKE_INSTALL_PREFIX=%{_prefix} -DINSTALL_LIB_DIR=%{_lib} -DINSTALL_APP_DIR=%{app_name} -DINSTALL_DOC_DIR=%{_defaultdocdir} -DSPELLCHECKER_BACKEND=HUNSPELL -DHUNSPELL_LIBRARY_PATH="%{_datadir}/myspell/"
%{__make} %{?_smp_mflags}

%install
pushd build
%{make_install} INSTALL_ROOT=%{buildroot}
popd

%fdupes %{buildroot}%{_datadir}

%files
%defattr(-,root,root)
%{_libdir}/%{app_name}
%dir %{_libdir}/%{app_name}/plugins
%{_datadir}/%{app_name}

%changelog
* Sun Mar 10 2013 egdfree@opensuse.org
- switch to use hunspell
- update to 1.1.0
* Mon Sep 10 2012 coolo@suse.com
- remove buildrequire on library, already required by -devel
* Tue Jul 31 2012 egdfree@opensuse.org
- update to 0.0.7
  * code refactoring
  * rebuild dict menu
* Sat Nov  5 2011 egdfree@opensuse.org
- add BuildReguest aspell to build in 12.1
* Mon Apr 18 2011 egdfree@opensuse.org
- update to 0.0.3
  * Windows builds now really possible (currently with aspell)
  * Rewritten much of code
* Sun Apr 10 2011 egdfree@opensuse.org
- initial to 0.0.2
  * Russian translation
  * Buildsystem fixes and improvements
  * Code cleanup and more convenient file-naming
